## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-exrex
Version:        0.11.0
Release:        %autorelease
Summary:        Irregular methods for regular expressions

License:        AGPL-3.0-or-later
URL:            https://github.com/asciimoo/exrex
Source:         %{url}/archive/v%{version}/exrex-%{version}.tar.gz
Patch:          https://patch-diff.githubusercontent.com/raw/asciimoo/exrex/pull/69.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  help2man

%global _description %{expand:
Exrex is a command line tool and python module that generates all - or random -
matching strings to a given regular expression and more.}

%description %{_description}

%package -n     python3-exrex
Summary:        %{summary}

%description -n python3-exrex %{_description}

%prep
%autosetup -n exrex-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l exrex

# Rely on the generated entry point %%{_bindir}/exrex; do not package
# %%{_bindir}/exrex.py, which is a copy of the entire library. If something
# needs to execute exrex.py, we can add a symbolic or hard link with than name
# for compatibility.
rm '%{buildroot}%{_bindir}/exrex.py'

# The site-packages module does not have executable permissions, so it should
# not have a shebang line.
sed -r -i '1{/^#!/d}' '%{buildroot}%{python3_sitelib}/exrex.py'

# We need to do this in %%install rather than in %%build so we can use the
# %%{_bindir}/exrex entry point.
install -d '%{buildroot}%{_mandir}/man1'
PYTHONPATH='%{buildroot}%{python3_sitelib}' help2man \
    --no-info \
    --version-string='%{version}' \
    --output='%{buildroot}%{_mandir}/man1/exrex.1' \
    '%{buildroot}%{_bindir}/exrex'


%check
%tox

%files -n python3-exrex -f %{pyproject_files}
%doc README.md
%{_bindir}/exrex
%{_mandir}/man1/exrex.1*


%changelog
## START: Generated by rpmautospec
* Thu Jul 04 2024 Paul Pfeister <code@pfeister.dev> - 0.11.0-1
- init fedora#2280062
## END: Generated by rpmautospec
